#!/bin/sh

# is_yes taken from rc-scripts
is_yes()
{
	# Check value
	case "$1" in
	  yes|Yes|YES|true|True|TRUE|on|On|ON|Y|y|1)
		# true returns zero
		return 0
		;;
	  *)
		# false returns one
		return 1
		;;
	esac
}

# Get network config
. /etc/sysconfig/network

# Get service config
[ -f /etc/synergy/client.conf ] && . /etc/synergy/client.conf

# Check that networking is up.
if ! is_yes "${NETWORKING}"; then
	echo >&2 "$0: Networking disabled"
	return 3
fi

if [ -z "$SYNERGY_SERVER" ]; then
	echo >&2 "$0: SYNERGY_SERVER not set. Please update /etc/synergy/client.conf"
	return 1
fi

SYNERGYC_NAME=${SYNERGYC_NAME:-$(hostname -s)}

pids=$(pgrep -u $USER synergyc)
if [ -n "$pids" ]; then
	kill -TERM $pids
	usleep 300
	kill -9 $pids
fi

synergyc --daemon --restart -n ${SYNERGYC_NAME} ${SYNERGY_SERVER} &
